Subject: Re: Limitation in SCP?
From: Michael Uman <[email-masked]>
To: Bob Smart <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Dec 2004 12:49:37 -0800

Hello,
I had a similar problem copying a file from RH9.0 linux to WinXP Cygwin
where the copy stopped at 128MB every time I tried to copy the file... I
ended up bzipping the file and scping it...

I can provide more information later {I am away from that particular
machine}...

Michael

On Mon, 2004-12-13 at 12:37, Bob Smart wrote:
> I've discovered that in some circumstances, scp seems to get tired early when transferring a largish file (around 200MB).  It copies diligently for the first 20-40MB (exactly where it stops varies from run to run), then CPU usage drops to zero, the file stops growing on the receiving end, there's no apparent network traffic, and everything just pretty much halts.  A ps shows the scp task running, but not doing anything.
> 
> I've only seen this when copying between two W2K machines (both Cygwin, both using the Cygwin SSH package, both of pretty recent vintage with DLL 1.5.11).  I did my development testing between Linux and NT, and I never saw this behavior in that environment.  It always fails with the W2K machines.
> 
> I also never see this happen with tar.  If I do a tar-to-tar pipe via SSH, everything works even in the W2K-to-W2K environment.  However, I'd like to understand why I can't use scp for this.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/